org.kie.internal.event.knowledgeagent

## Interface KnowledgeAgentEventListener

- All Superinterfaces:
    EventListener
  All Known Implementing Classes:
    DebugKnowledgeAgentEventListener, DefaultKnowledgeAgentEventListener

      public interface KnowledgeAgentEventListener
      extends EventListener

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterChangeSetApplied(AfterChangeSetAppliedEvent event)`
    `void` | `afterChangeSetProcessed(AfterChangeSetProcessedEvent event)`
    `void` | `afterResourceProcessed(AfterResourceProcessedEvent event)`
    `void` | `beforeChangeSetApplied(BeforeChangeSetAppliedEvent event)`
    `void` | `beforeChangeSetProcessed(BeforeChangeSetProcessedEvent event)`
    `void` | `beforeResourceProcessed(BeforeResourceProcessedEvent event)`
    `void` | `knowledgeBaseUpdated(KnowledgeBaseUpdatedEvent event)`
    `void` | `resourceCompilationFailed(ResourceCompilationFailedEvent event)`

- - ### Method Detail

    - #### beforeChangeSetApplied

          void beforeChangeSetApplied(BeforeChangeSetAppliedEvent event)

    - #### afterChangeSetApplied

          void afterChangeSetApplied(AfterChangeSetAppliedEvent event)

    - #### beforeChangeSetProcessed

          void beforeChangeSetProcessed(BeforeChangeSetProcessedEvent event)

    - #### afterChangeSetProcessed

          void afterChangeSetProcessed(AfterChangeSetProcessedEvent event)

    - #### beforeResourceProcessed

          void beforeResourceProcessed(BeforeResourceProcessedEvent event)

    - #### afterResourceProcessed

          void afterResourceProcessed(AfterResourceProcessedEvent event)

    - #### knowledgeBaseUpdated

          void knowledgeBaseUpdated(KnowledgeBaseUpdatedEvent event)

    - #### resourceCompilationFailed

          void resourceCompilationFailed(ResourceCompilationFailedEvent event)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.